WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Returns fatal error when switching to another Genesis theme

[Resolved] Returns fatal error when switching to another Genesis theme

  • Help! I installed * Front End Theme Switcher and tried switching themes on the front end.

    It returns all this on both backend and frontend:

    Warning: require_once(/…/wp-content/themes/agentpressoriginal/lib/init.php) [function.require-once]: failed to open stream: No such file or directory in /…/wp-content/themes/agentpressoriginal/functions.php on line 3

    Fatal error: require_once() [function.require]: Failed opening required ‘/…/wp-content/themes/agentpressoriginal/lib/init.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/sarahmo/public_html/hr/wp-content/themes/agentpressoriginal/functions.php on line 3

    I can’t get it to change any settings! I switched from my customized Genesis theme to another Genesis theme. I’ve done that before from the backend with no problem.

    I deleted the plugin via ftp, but it still shows the error. Now I don’t know what to do.

    http://wordpress.org/extend/plugins/frontend-theme-switcher/

Viewing 1 replies (of 1 total)
  • Okay, in FTP, I downloaded the offending theme, and then deleted it. That forced WordPress to revert to another theme, which got rid of the error. Then I could get into the backend and fix things.

    I noticed that when I switched back to the theme I was using before this happened, my widgets remained inactive.

    I FTPed the offending theme back in my themes folder, and switched it via the backend. Lo and behold, it worked great! and when i switched back, my widgets activated.

    Guess I won’t be playing around with this plugin anymore. And to think I was ready to buy the premium version!

    Wish it would work though…

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Returns fatal error when switching to another Genesis theme’ is closed to new replies.